Subject: Re: Printing locally
From: Brian Salter-Duke <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 5 Mar 2002 18:51:38 +0930

On Mon, Mar 04, 2002 at 11:22:51AM -0500, Larry Hall (RFK Partners, Inc) wrote:
> At 07:24 PM 3/3/2002, Brian Salter-Duke wrote:
> >On Sun, Mar 03, 2002 at 10:49:53AM -0000, fergus at bonhard dot uklinux dot net wrote:
> > > What about this? Any good?
> > > If the file a.txt is DOS terminated, try
> > >     cp a.txt prn
> > > OR
> > >     cat a.txt > prn
> > > and if a.txt is Unix-terminated, try
> > >     cat a.txt | unix2dos > prn
> > > Fergus
> >
> >This was a good suggestion but it still does not work. It just does
> >nothing as does directing the output to PRINT or LPT1.
> >
> >The file a.txt if put into Notepad either in dos or unix format prints
> >fine.
> 
> 
> Hm, then there must be some issue locally.  I have used both 
> 
> cat file.txt > prn

I have noticed that if you have the printer window open, it has a brief
message saying the file has no name but is being spooled. Nothing
prints.
 
> and
> 
> cat file.txt > //<machine name>/<printer share name>

Does this work only if the printer is remote. I replaced <machine name>
by BSALTERDUKE1 which is what the printer test page saying machine name
is and <printer share name> by CanonBJC-1000SP which is what the same
page says is the printer name. The printer is local. It reports that it
can not find that node.

> with no problems in the past.  If one or both of these don't work for you,
> you may be stuck trying to debug it.  In anticipation of your next question,
> you might try running one or both of these with 'strace'.  See strace --help
> for more details of the options.  The output may give you an idea of where 
> things are going wrong for you.

I tried all sorts of options and got no output with any of them.

I private message from someone else suggested:-

notepad /p file.txt

This works!
 
Cheers, Brian.

-- 
           Brian Salter-Duke (Brian Duke) [email-masked]  
Honorary Fellow in Chemistry, NT University, Darwin, NT 0909, Australia.
 Phone 08-89881600.    Fax 08-89881302.    http://lacebark.ntu.edu.au/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/